## LOCI

#### Overview

LOCI is a Python library providing high-level functions for exploring, mining and visualizing Points and Areas of Interest. It is under ongoing development. It currently supports the following functionalities:

- Create a GeoDataFrame from POI data in a CSV file.
- Display POIs on the map.
- Filter POIs by category or keywords.
- Compute and visualize statistics about POI categories or keywords.
- Generate word clouds from POI categories or keywords.
- Generate heatmaps from POI locations.
- Construct and visualize a grid structure over POI locations.
- Compute and visualize POI clusters using density-based clustering.
- Use LDA to extract and assign topics to clusters.
- Use of frequent itemset mining to discover frequent location sets.

#### Quick start

Please see the provided [notebooks](https://github.com/SLIPO-EU/loci/tree/master/notebooks).

#### Documentation

See [here](https://slipo-eu.github.io/loci/).

#### License

The contents of this project are licensed under the [Apache License 2.0](https://github.com/SLIPO-EU/loci/blob/master/LICENSE).
